| v_hdmitxss1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
Overview

## Functions
int | XV_HdmiTxSs1_SubcoreInitHdmiTx1 (XV_HdmiTxSs1 *HdmiTxSs1Ptr)
| This function initializes the included sub-core to it's static configuration. More...
int | XV_HdmiTxSs1_SubcoreInitVtc (XV_HdmiTxSs1 *HdmiTxSs1Ptr)
| This function initializes the included sub-core to it's static configuration. More...
XV_HdmiTxSs1_Config * | XV_HdmiTxSs1_LookupConfig (u32 DeviceId)
| This function looks for the device configuration based on the unique device ID. More...

## Function Documentation

XV_HdmiTxSs1_Config* XV_HdmiTxSs1_LookupConfig | ( | u32 | DeviceId | ) |

This function looks for the device configuration based on the unique device ID.

The table XV_HdmiTxSs1_ConfigTable[] contains the configuration information for each instance of the device in the system.

Parameters

  DeviceId | is the unique device ID of the device being looked up

Returns
  A pointer to the configuration table entry corresponding to the given device ID, or NULL if no match is found

int XV_HdmiTxSs1_SubcoreInitHdmiTx1 | ( | XV_HdmiTxSs1 * | HdmiTxSs1Ptr | ) |

This function initializes the included sub-core to it's static configuration.

Parameters

  HdmiTxSs1Ptr | is a pointer to the Subsystem instance to be worked on.

Returns
  XST_SUCCESS/XST_FAILURE

References XV_HdmiTxSs1_SubCore::AbsAddr, XV_HdmiTxSs1_Config::AxiLiteClkFreq, XV_HdmiTxSs1_Config::BaseAddress, XV_HdmiTxSs1::Config, XV_HdmiTxSs1_SubCore::DeviceId, XV_HdmiTxSs1_Config::HdmiTx1, XV_HdmiTxSs1::HdmiTx1Ptr, XV_HDMITXSS1_LOG_EVT_HDMITX1_INIT, XV_HdmiTxSs1_LogWrite(), and XV_HdmiTxSS1_SetHdmiTmdsMode().

Referenced by XV_HdmiTxSs1_CfgInitialize().

int XV_HdmiTxSs1_SubcoreInitVtc | ( | XV_HdmiTxSs1 * | HdmiTxSs1Ptr | ) |

This function initializes the included sub-core to it's static configuration.

Parameters

  HdmiTxSs1Ptr | is a pointer to the Subsystem instance to be worked on.

Returns
  XST_SUCCESS/XST_FAILURE

References XV_HdmiTxSs1_SubCore::AbsAddr, XV_HdmiTxSs1_Config::BaseAddress, XV_HdmiTxSs1::Config, XV_HdmiTxSs1_SubCore::DeviceId, XV_HdmiTxSs1_Config::Vtc, XV_HdmiTxSs1::VtcPtr, XV_HDMITXSS1_LOG_EVT_VTC_INIT, and XV_HdmiTxSs1_LogWrite().

Referenced by XV_HdmiTxSs1_CfgInitialize().